import { _decorator, } from "cc";
import { ItemMgrBase } from "./ItemMgrBase";

const { ccclass, property } = _decorator;

/**
 * 食物管理器
 */
@ccclass("CardManager")
export class CardManager extends ItemMgrBase {

    private static _ins: CardManager = null;
    static get ins() {
        return this._ins;
    }

    constructor() {
        super();
        CardManager._ins = this;
    }

    onDestroy() {
        if (CardManager._ins == this) {
            CardManager._ins = null;
        }
    }

}
